---
search:
  tags:
    - Emails
    - POST
seo:
  description: >-
    Send a batch of emails. Reference for the POST /emails/batch endpoint in the
    BillionSend API.
sidebar:
  label: Send a batch of emails
  badge: POST
title: Send a batch of emails
type: openapi-operation
---
`POST /emails/batch`

**Request body** (`application/json`, required)

Request body example:

```json
[
  {
    "from": "Acme <onboarding@acme.dev>",
    "to": [
      "success@simulator.amazonses.com"
    ],
    "subject": "string",
    "html": "string",
    "text": "string",
    "cc": "string",
    "bcc": "string",
    "reply_to": "string",
    "scheduled_at": "string",
    "tags": [
      {
        "name": "string",
        "value": "string"
      }
    ],
    "topic_id": "646807af-5da6-43aa-83d3-8ac1d15ab4e5",
    "attachments": [
      {
        "filename": "string",
        "content": "string",
        "content_type": "string",
        "content_id": "string",
        "path": "string"
      }
    ],
    "headers": {
      "property1": "string",
      "property2": "string"
    },
    "template": null
  }
]
```

**Responses**

- `200` — Batch accepted
- `400` — Idempotency-Key is not 1 to 256 characters
- `401` — Missing, malformed, unknown or revoked API key
- `403` — Restricted API key
- `404` — Not found
- `409` — Idempotency conflict
- `422` — Validation error
- `429` — Sending quota exceeded, or the rate limit (rate\_limit\_exceeded, with Retry-After)

Response example, 200:

```json
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    }
  ],
  "errors": [
    {
      "index": 0,
      "message": "string"
    }
  ]
}
```
